<?php

require_once '../incfiles/core.php';
require_once '../incfiles/func.php';
require_once '../incfiles/auth.php';
require_once '../incfiles/user.php';

if (empty($user_id)) go(URL);

if (!empty($_GET['id']) && is_numeric($_GET['id'])) // Повідомлення
{

	$id = abs(intval($_GET['id']));	
	$result = mysql_query("SELECT * FROM `mail_msg` WHERE `id` = '".$id."' AND `for_id` = '".$user_id."' AND `del` != '".$user_id."' OR `id` = '".$id."' AND `from_id` = '".$user_id."' AND `del` != '".$user_id."' LIMIT 1");
	if (mysql_num_rows($result) == false) go(URL.'/mail/');

	$title = lang('Сообщение','Повідомлення');
	require_once '../incfiles/head.php';
	
	$arr_msg = mysql_fetch_array(mysql_query("SELECT * FROM `mail_msg` WHERE `id` = '".$id."' LIMIT 1"));
	if ($arr_msg['for_id'] == $user_id) $dialog_user_id = $arr_msg['from_id']; else $dialog_user_id = $arr_msg['for_id'];
	$arr_user = mysql_fetch_array(mysql_query("SELECT `name`, `surname` FROM `users` WHERE `id` = '".$dialog_user_id."' LIMIT 1"));
	$arr_dialog = mysql_fetch_array(mysql_query("SELECT * FROM `mail_dialog` WHERE `for_id` = '".$user_id."' AND `from_id` = '".$dialog_user_id."' LIMIT 1"));

	echo '<div class="title">
	<a href="'.URL.'/mail/?id='.$dialog_user_id.'" onclick="Page.Go(this.href); return false">'.lang('Диалог','Діалог').'</a>
	<a class="title_a_hover" href="'.URL.'/mail/?id='.$dialog_user_id.'" onclick="Title.Open(); return false">'.$arr_user['name'].' '.$arr_user['surname'].' <img src="'.URL.'/design/img/title_menu.png"/></a>
	</div>
	<div id="title_menu">
	<a href="'.URL.'/mail/?id='.$dialog_user_id.'&del='.$id.'" onclick="Page.Go(this.href); return false">'.lang('Удалить сообщение','Видалити повідомлення').'</a>
	</div>
	<div class="title">'.lang('Сообщение','Повідомлення').'</div>
	<div class="block">'.user_name($arr_msg['from_id'],0,0).'<div class="right">'.vtime($arr_msg['time']).'</div><ul>'.smiles($arr_msg['text']).'</ul>';
	if (!empty($arr_msg['photos']))
	{
		echo '<p>';
		$q = explode("||", substr($arr_msg['photos'], 1, -1));
		$count = count($q);
		for ($i = 0; $i < $count; $i++) echo '<a id="'.$i.'" href="'.URL.'/files/mail/'.$arr_dialog['dir'].'/photos/'.$q[$i].'"><img class="'.($count>1?'preview_mini':'preview').'" src="'.URL.'/files/mail/'.$arr_dialog['dir'].'/photos/'.($count>1?'mini':'preview').'/'.$q[$i].'"/></a>';
		echo '</p>';
	}
	echo '</div>';


require_once '../incfiles/foot.php';

} else go(URL);


?>